/* CSS VERSION 1.36 */
/* 28 Mar 2025 */

:root {
    --blue: #014189;
    --light-blue: #95E6FF;
    --orange: #F58B22;
    --grey: #454545;
}

html {
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body {
    overflow-x: hidden;
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    color: var(--black);
    margin: 0;
    overflow-x: hidden;
    overflow-y: auto;
}


h2 {
    font-size: 2.5rem;
}

h3 {
    font-size: 3rem;
}

h4 {
    font-size: 1.1rem;
    font-weight: 800;
    color: var(--grey);
}

strong {
    font-weight: 900;
}

input {
    transition: 0.3s ease-in-out;
}



/*  SECTION HERO
////////////////////////////////////// */

#hero {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%; /* Ensure full width */
    margin-top: -80px;
    overflow: hidden;
}
.hero-bg {
    background-image: url('../images/background.webp');
}


.parallax-wrapper {
    position: relative;
    overflow: hidden;
    /* height: 70dvh; */
    display: flex;
    align-items: center;
    justify-content: center;
}

.parallax-bg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-size: cover;
    background-position: top left;
    z-index: 0;
    transform: translateZ(0);
    will-change: transform;
}

.parallax-wrapper, .parallax-bg {
    height: 70dvh;
    min-height: 1200px;
    max-height: 1600px;
    
}

.hero-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    position: relative;
    z-index: 1;
    margin-top: -20%;
}

.hero-content a {
    text-align: center;
}

.hero-logo {
    width: 100%;
    max-width: 700px;
    margin-bottom: 10%;
}

.hero-konkurs {
    width: 100%;
    max-width: 400px;
    margin-bottom: 10%;
}

.hero-characters {
    position: absolute;
    bottom: 60px;
    left: 10%;
    width: 50%;
    max-width: 600px;
}
/* PRIZES */
.prizes-wrapper {
    position: absolute;
    right: 5%;
    top:  max(-40vw, -100%);
    z-index: 40;
    width: 40%;
    max-width: 600px;
}

.prizes {
    position: absolute;
    bottom: -20px;
    right: 0;
    width: 50%;
    max-width: 300px;
}

.prize-item {
    position: relative;
    .prize-item img {
        height: auto;
    }
}

.prize-roundel {
    max-height: 420px;
}


/*  SECTION RULES
////////////////////////////////////// */

#rules {
    padding-bottom: 15%;
    z-index: 10;
    background: transparent;

    &:before {
        content: "";
        position: absolute;
        top: -23%;
        left: -50%;
        width: 100%;
        height: 100%;
        background: linear-gradient(180deg, #1A4C8F 0%, #11B0E4 100%);
        transform: rotate(-5deg);
        border-radius: 100%;
        width: 200%;
        height: 200%;
        background-size: cover;
        z-index: -1;
    }
}

.rule-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #fff;
 
}

.rule-number {
    background: url('../images/prize_roundel_small.png') no-repeat center center;
    background-size: contain;
    font-size: 3rem;
    font-weight: 900;
    width: 80px;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 15px;
    filter: drop-shadow(0px 0 20px #ffffff97);
}

.rule-text {
    font-size: 1.2rem;
    font-weight: 900;
    text-align: center;
    text-transform: uppercase;
    padding-inline: min(5%, 40px);
}


/* INAVIBE MESSAGES */

.before-start h4,
.end-date h4 {
    font-weight: 900;
    color: #fff;
    text-align: center;
    font-size: 1.5em;
}

/*  SECTION WINNERS
////////////////////////////////////// */

#winners {
    position: relative;
    padding-bottom: 12%;
    background: url('../images/bech_bg.webp') no-repeat center top;
    background-size: cover;
}

.orange-wave-svg {
    position: absolute;
    top: -20px;
    height: 200px;
    overflow: hidden;
    width: 100%;
    z-index: 50;
}

.winners-wrapper {
    padding-top: 80px;
    position: relative;
    height: 100%;
    min-height: 500px;
}

.winners-bg {
    background: url('../images/bech_bg.webp') no-repeat center top;
    background-size: cover;
    padding-bottom: 3%;
    z-index: 5
}

.winners-wrapper {
    z-index: 40;
}

.winners-suitcase {
    position: absolute;
    top: 50%;
    right: 4%;
    width: 15%;
    transform: rotate(-12deg);
    z-index: 10;
}

.winners-mascot {
    position: absolute;
    bottom: 50px;
    left: 5%;
    width: 10%;
    z-index: 10;
}

/* TABLES */

.winners-tabs {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
}

.winners-tab {
    background: #95e6ff60;
    padding: 20px 20px;
    width: 25%;
    border-radius: 10px;
    font-weight: 900;
    font-size: 1.2rem;
    color: var(--blue);
    transition: 0.3s ease-in-out;
    box-shadow: 0px 5px 0 #042449;
    text-align: center;
}

.winners-tab:hover {
    background: #95e6ff8a;
    transform: translateY(-3px) scaleY(1.05);
    cursor: pointer;
}

.winners-tab:active {
    background: #cef4ff;
    transform: translateY(-3px) scaleY(1.05);
}

.tab-active {
    background: #95E6FF;
    transform: translateY(-3px) scaleY(1.05);
}
.tab-active:hover {
    background: #95E6FF;

}

.winners-table-content {
    background: #95e6ff;
    border-radius: 15px;
    padding: 5% 20%;
    box-shadow: 0px 5px 0 #042449;
    color: var(--blue);
}
.main-prize-winner {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.main-prize {
    font-weight: 900;
    text-align: center;
}

.main-prize-img {
    width: 100%;
    max-width: 250px;
    object-fit: contain;
    margin-top:-60px;
    margin-bottom: -40px;
}

.tablepress {
    --head-bg-color: none !important;
    --text-color: var(--blue) !important;
    width: 100%;
    max-width: 400px;
    font-size: 1.3rem;
    border: none !important;
    margin: 0 auto !important;
}


.tablepress  td {
    font-weight: 800 !important;
    padding: .3rem !important;
    border-top: none !important;
}

.winner-name {
    margin-bottom: 0';
}

.main-winner-name .tablepress {
    font-size: 2rem !important;
}

.second-prize {
    font-weight: 900;
    text-align: center;
    font-size: 3rem;
    margin-bottom: 0;
}

.second-prize-text {
    font-size: 1.2rem;
    font-weight: 900;
    text-align: center;
}

.second-prize-img {
    width: 100%;
    max-width: 120px;
    object-fit: contain;
    margin-top: -40px;
}

.third-prize {
    font-weight: 900;
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 0;
}

.third-prize-text {
    font-size: 1.2rem;
    font-weight: 900;
    text-align: center;
}

.third-prize-img {
    width: 100%;
    max-width: 120px;
    object-fit: contain;
    margin-top: -40px;
}

.table-hidden {
    display: none;
}


/* PAGE THANK YOU
////////////////////////////////////// */

#thank-you-section {
    background: url('../images/bech_bg.webp') no-repeat center top;
    background-size: cover;
    height: 100dvh;
    min-height: 1300px;
    max-height: 1500px;
    margin-top: -80px;
}

.thank-you-box {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: min(90%, 700px);
    margin: 0 auto;
    background: #95e6ff;
    border-radius: 20px;
    padding: min(10%, 50px);
    box-shadow: 0px 5px 0 #042449;
    color: var(--blue);
}

.thank-you-title {
    font-size: 3rem;
    font-weight: 900;
    text-align: center;
    margin-bottom: 0;
    text-transform: uppercase;
    margin-bottom: 20px;
}


.thank-you-box h4 {

    text-align: center;
    font-weight: 900;
    font-size: 1.5rem;
    margin-bottom: 0;
    color: var(--blue);
}

.thank-you-img {
    position: absolute;
    max-width: 150px;
    height: auto;
}

.thanks-options {
    margin-top: 30px;
}

.thanks-options h5 {
    font-weight: 900;
    text-align: center;
    margin-top: 15px;
}

#thank-you-img-1 {
    left: -100px;
    bottom: -80px;
}

#thank-you-img-2 {
    right: -80px;
    top: -110px;
}

/* =================================-- */
/* SECTION GAME */
/* =================================-- */

#game {
    padding-bottom: 20%;
}

/* PAGE CONTACT
////////////////////////////////////// */

#contact {
    margin-top: -80px;
    min-height: 100dvh;
    padding-bottom: max(4%, 50px);
}

#contact-section {
    padding-top: 12%;
    padding-bottom: 12%;
    min-height: 100dvh;
}

.page-title h1 {
    text-align: center;
    font-size: 3rem;
    font-weight: 900;
    text-transform: uppercase;
    color: #fff;
    margin-bottom: 50px;
}

.contact-logo {
    width: 100%;
    max-width: 300px;
    margin-bottom: 20px;
}

/*  SECTION COOKIE BANNER /////////////////////////////// */

/* Overlay behind cookie banner */
#cookie-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.6); 
    z-index: 9998;
    display: none;
    transition: all 0.3s ease;
}

.cmplz-cookiebanner.cmplz-show {
    position: fixed !important;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%) !important;
    z-index: 9999 !important;
    max-width: 90%;
    width: auto;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
    display: flex !important;
    flex-direction: column;
    justify-content: space-evenly;
    /* align-items: center; */
    max-height: 90vh;
    overflow-y: auto;
    padding: 2rem;
    border-radius: 16px;
}

.cmplz-title {
    font-size: 1.5rem !important;
}

.cmplz-message {
    width: 95% !important;
}

.cmplz-categories {
    width: 100% !important;
}



/* SECTION MEDIA QUERIES   /////////////////////////////// */
/* @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */
/* @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ */

@media (min-width: 2200px) {
    .parallax-bg {
        background-position: center 20%;
    }
}

@media (min-width: 1920px) {
    .prizes-wrapper {
        top:  -80%
    }
}

@media (max-width: 1300px) {
    .winners-suitcase, .winners-mascot {
        display: none;
    }
}

@media (max-width: 992px) {

    /* HERO SECTION */


    #hero {
        margin-top: 0;
        height: 90dvh;
    }

    .hero-content {
        margin-top: -35%;
        display: flex;
    }

    .hero-logo {
        max-width: 450px;
        margin-bottom: 0;
    }

    .hero-konkurs {
        max-width: 350px;
    }

    .hero-sok {
        max-width: 250px;
    }


    .orange-wave-top {
        bottom: 0
    }

    #rules {
        margin-top: 0;
    }

    .rule-text {
        font-size: 1rem;
    }
    
    .thank-you-img {
        display: none;
    }

 
}
@media (max-width: 768px) {

    .hero-text h1 {
        font-size: 5rem;
        line-height: 5rem;
        margin-bottom: 0;
    } 

    .hero-content {
        margin-top: -65%;
    }

    #thank-you .hero-content {
        margin-top: 0;

        & .hero-logo {
            width: 100%;
        }
    }

    .hero-characters {
        left: 50%;
        bottom: 10%;
        transform: translateX(-50%);
        width: 80%;
        max-width: 400px;
    }

    .hero-konkurs {
        max-width: 300px;
    }

    .prizes-wrapper {
        right: unset;
        left: 50%;
        transform: translateX(-50%);
        width: 80%;
        max-width: 350px;
    }

    #rules {
        padding-top: 30%;

        &::before {
          top: -10%;
          left: -88%;
          transform: rotate(-2deg);
          border-radius: 100%;
          width: 300%;
          height: 188%;
        }
      }

    .winners-tab {
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 1rem;
        height: 90px;
    }

    #thank-you .hero-logo {
        width: 60%;
    }

    #thank-you-section {
        height: 90vh;
        min-height: 900px;
        margin-top: -80px;
    }

    #thank-you .parallax-bg {
        height: 90vh;
        min-height: 900px;
    }


    .thank-you-title {
        font-size: 2rem;
    }

 
        .cmplz-cookiebanner.cmplz-show {
            top: 60% !important;
            transform: translate(-50%, -60%) !important;
            max-height: unset;
        }


}

@media (max-width: 576px) {


    .wpcf7-form {
        max-width: 90%;
    }


    .parallax-wrapper, .parallax-bg {
        height: 80dvh;
        min-height: 950px;
        max-height: 1200px;
        
    }

    #rules {
        margin-top: -40px;
    }

    .prize-item {
        padding-inline: 15%;
        text-align: center;
    }

    #winners {
        padding-bottom: 35%;
    }

    .winners-table-content {
        padding: 10% 5%;
    }

    .second-prize {
        font-size: 2rem;
    }

    .third-prize {
        font-size: 2rem;
    }


    #thank-you-section{
        margin-top: -80px;
    }

    #thank-you-section
    .parallax-wrapper,
    .parallax-bg  {
        height: 90dvh;
        min-height: 1100px;
        max-height: 1300px;
    }
}

@media (prefers-reduced-motion: reduce) {
    html {
      scroll-behavior: auto;
    }
  }